# Configuration for STTA  LDAP-NAME  Services with Tarantella
# STTA Rev. 1.3 Copyright (c) 2001-2002 Jesús Pérez Lorenzo  --- license GNU GPL
#
# See slapd.conf(5) for details on configuration options.
# This file should NOT be world readable.
#
include		/etc/openldap/schema/core.schema
include		/etc/openldap/schema/cosine.schema
include		/etc/openldap/schema/inetorgperson.schema
include		/etc/openldap/schema/stta.schema

# Define global ACLs to disable default read access.

pidfile		/var/run/LDAP-NAME.pid
argsfile	/var/run/LDAP-NAME.args

# Load dynamic backend modules:
# modulepath	/usr/local/libexec/openldap
# moduleload	back_bdb.la
# moduleload	back_ldap.la
# moduleload	back_ldbm.la
# moduleload	back_passwd.la
# moduleload	back_shell.la

access to *
	by self write
	by dn="DIRECTORY-MANAGER" write
	by users read
	by anonymous auth
#readonly off
access to dn="*" 
        by * search
        by * read

#######################################################################
# ldbm database definitions
#######################################################################

database	ldbm
#database	bdb
suffix  "LDAPBASE-NAME"
rootdn "DIRECTORY-MANAGER"

rootpw ROOT-PASSWORD

directory	DIRECTORY-DBSPATH

# Indices to maintain
index	cn,sn	pres,eq,sub
index	objectClass	eq
